Jump to content
Comet Forums
ahhacatso

bitcomet 1.29 incompatible with firefox 7.0.1

Recommended Posts

Bitcomet 1.29 cannot download with Firefox 7.0.1

and shows an error message

"BitCometExtension Failed, Components.classes['@bitcomet.com/BitCometExtension;1'] is undefined"

Share this post


Link to post
Share on other sites

You won't be able to use a major firefox update with any extensions until their publisher issues an update.

When the developers make an updated extension, it wil be incorporated in version 1.30 or 1.30beta. Keep this in mind when updating firefox, this doesn't apply just to bitcomet, and if you need it to work now, then I suggest you revert to version 6 of firefox or cometbird.

Share this post


Link to post
Share on other sites

That will also be true. Both are too new to have given BC's developers time to make things work with either version.

Just like most other add-ons, it takes time to develop a new version that's compatible, and early-adopters of new versions will always outstrip them. I don't upgrade until my favorite add-ons have been updated too.

Share this post


Link to post
Share on other sites

Firefox 8 isn't even a stable release yet, did you really expect things like this to work with it?

If someone wants extensions that work the moment a new version is released, or even before it releases in this case, then I suggest you develop the app yourself. Firefox is open source and anyone can make these.

If you want to use the extensions that bitcomet offers, then use a supported web browser.

Share this post


Link to post
Share on other sites

there really is no need for ur rudeness I was only saying. perhaps you could use the information to get ahead of the field firefox 8 is due to be released next month.

as for saying to use a browser that is compatible which one cos my default browser is cometbird & that wont work with bitcomet either

Share this post


Link to post
Share on other sites

I don't think I was being rude, we've just been getting dozens of these posts everytime firefox makes a new version, and all the major versions are incompatible with prior versions extensions. We've been posting the same replies to users of FF4, then 5, then 6, then 7... and now 8 before it's even released.

We're all volunteers here and it can get tiresome to keep answering the same questions, stick around and answer some for a while, if you have any sanity left after a year, we might even make you staff lol

ps. just so you know, FF8 probably won't be supported for a few weeks after it's official release. I can also assure you that all the publishers of extensions have about had it with all these new versions, it's totally unnecessary, they should have worked on FF 3 until mid-summer, and only now begin betatesting of FF 5, so keep throwing out new versions like this is reckless.

I personally like FF 3, and I've stopped using FF as my default over this. Chrome keeps getting better and better, and firefox just keeps changing, with no improvement at all that I can see. *just my personal opinion*

Share this post


Link to post
Share on other sites

I fully understand where coming from & I'm sorry if I took your post the wrong way. I had read why it wasn't working & was just letting you know about FF8 which I know is going to be a pig for developers because it's being built with blocking add-ons in mind.

hopefully the less enlightened will read the post & then choose not to make posts of their own as unless they are blind they will see the problem is being dealt with.

Share this post


Link to post
Share on other sites

I remember firefox 1,it was so lean and way better then IE, then FF2 was great too, not as lean, but it added a lot to the browser. FF3 is when it begun to get bloated and slow, and that's about when Chrome got popular, so instead of firefox fixing things, they keep putting out new versions... I just don't get it...

It would be nice if someone took up develompment of FF2. DamnSmallLinux made a lean FF2 version, but it's quite limited and is designed to run on antique computers. We need one that will load modern web pages, but with little or no extra graphics or bloat. I don't care if it's pretty, I'd rather see just the webpage and nothinn else. That would be the perfect browser, maybe just a tiny tabbing system, and bookmarks that are only on the screen when you call for them, I don't need to look at all my bookmarks and tab icons.

They could probably integrate the tabs and address bar into the same physical space too, instead of having them use row after row of space for menus, tabs, bookmarks, address bar... Way to crowded and bloated.

Thats my opinion.

Share this post


Link to post
Share on other sites

You won't be able to use a major firefox update with any extensions until their publisher issues an update.

When the developers make an updated extension, it wil be incorporated in version 1.30 or 1.30beta. Keep this in mind when updating firefox, this doesn't apply just to bitcomet, and if you need it to work now, then I suggest you revert to version 6 of firefox or cometbird.

Thank You

But when will Bitcomet 1.30 be released ?

Edited by ahhacatso (see edit history)

Share this post


Link to post
Share on other sites
But when will Bitcomet 1.30 be released ?

When the work is completed, tested, and deemed stable.

Share this post


Link to post
Share on other sites

Complete agree with those having problems with Firefox8. It has numerous problems like many extensions will not work with it therefore you will only have frequent interruption using it. Hoping for an complete version of Firefox to be released soon.

___________________

*Spam removed from members post*

Edited by The UnUsual Suspect
forum rules violation (see edit history)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...